/**
 * Single Post Card Widget Styles
 */

.article {
	position: relative;
	display: flex;
	flex-direction: column;
	gap: 10px;
	overflow: hidden;
}

.article .featured-image {
    display: flex;
    height: 100%;
    overflow: hidden;
    border-radius: 20px;
    object-fit: cover;
}

.article .featured-image img {
	width: 100%;
	object-fit: cover;
    transition: 0.5s;
    height: 100%;
}

.article:hover .featured-image img{
    transform: scale(1.1);
}

.article .content {
    position: absolute;
    bottom: 0;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 18.23%, rgba(0, 0, 0, 0.9) 86.98%, rgba(0, 0, 0, 0.9) 100%);
    width: 100%;
    right: 0;
    padding: 30px;
    border-radius: 20px;
}

.article .hero-meta {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 5px;
}

.article .hero-meta .date {
    background-color: #0000008f;
    color: #fff;
    font-weight: 500;
    font-size: 13px;
    line-height: 19px;
    padding: 1px 15px;
    border-radius: 7px;
    transition: 0.3s;
}

.article .title {
    margin: 10px 0 0 0;
    line-height: 30px;
}

.article .title a {
	text-decoration: none;
	display: block;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	color: var(--wetheme-primary-color);
    font-size: 17px;
}

.article .excerpt {
    height: 0;
    overflow: hidden;
    transition: 0.5s;
}

.article .excerpt p {
	margin: 0;
    color: #bbbbbb;
    font-size: 15px;
}

.article:hover .excerpt {
    height: 22px;
}

@media (max-width: 1024px) {

}

@media (max-width: 768px) {

}

@media (max-width: 480px) {
.article .title a {
    text-decoration: none;
    font-size: 15px;
}

.article .excerpt p {
    margin: 0;
    color: #bbbbbb;
    font-size: 13px;
}

.article:hover .excerpt {
    height: 40px;
}

.article .featured-image {
    border-radius: 15px;
}

.article .content {
    padding: 20px;
    border-radius: 15px;
}

}
